io.etcd.jetcd.api

## Class WatchGrpc.WatchStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractAsyncStub<WatchGrpc.WatchStub>
    - - io.etcd.jetcd.api.WatchGrpc.WatchStub

Enclosing class:
  WatchGrpc

    public static final class WatchGrpc.WatchStub
    extends io.grpc.stub.AbstractAsyncStub<WatchGrpc.WatchStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected WatchGrpc.WatchStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`io.grpc.stub.StreamObserver<WatchRequest>` `watch(io.grpc.stub.StreamObserver<WatchResponse> responseObserver)` Watch watches for events happening or that have happened.

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected WatchGrpc.WatchStub build(io.grpc.Channel channel,
                                        io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<WatchGrpc.WatchStub>`

#### watch

    public io.grpc.stub.StreamObserver<WatchRequest> watch(io.grpc.stub.StreamObserver<WatchResponse> responseObserver)

     Watch watches for events happening or that have happened. Both input and output
     are streams; the input stream is for creating and canceling watchers and the output
     stream sends events. One watch RPC can watch on multiple key ranges, streaming events
     for several watches at once. The entire event history can be watched starting from the
     last compaction revision.